<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
require_once('../libraries/phpmailer/class.phpmailer.php');

$clie_id=ucfirst(limpiar($_POST['idd']));
$clie_cotizar=ucfirst(limpiar($_POST['clie_cotizar']));
$dis_correo=ucfirst(limpiar($_POST['dis_correo']));
$clie_clave=ucfirst(limpiar($_POST['clie_clave']));

$sql=mysqli_query($con,"UPDATE cliente Set
                            clie_cotizar='$clie_cotizar', 
                            clie_correo='$dis_correo', 
                            clie_clave='$clie_clave'
                            Where clie_id='$clie_id' and empresa='1'") or die(mysqli_error($con)); 

$query=mysqli_query($con,"SELECT * from dis_empresa where distribuidor='$clie_id'") or die(mysqli_error($con));
$results=mysqli_fetch_array($query);
$numrows=$results['emp_id'];
if($numrows==null)
{
    $registros=mysqli_query($con,"INSERT into dis_empresa (emp_nombre,emp_regimen,distribuidor) 
                        VALUES ('Tu Empresa','Simplificado','$clie_id')") or die(mysqli_error($con));
}

echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Cliente!</strong> Modificado correctamente.';
   
$eemail = $dis_correo;
$subject = 'Ya puedes cotizar en nuestro sistema';
$body = 'Estimado cliente tu cuenta ha sido habilitado para que puedas armar tus cotizaciones';
$my_name =mb_strtoupper('Compugamer Ocaña');//Agregue su nombre o asunto
$my_mail = "compugamerocana@gmail.com";//Agregue su propio email 
$my_replyto = "compugamerocana@gmail.com";//El email para respuestas
$correo = new PHPMailer(); //Creamos una instancia en lugar usar mail()

//Usamos el SetFrom para decirle al script quien envia el correo
$correo->SetFrom($my_mail, $my_name);

//Usamos el AddReplyTo para decirle al script a quien tiene que responder el correo
$correo->AddReplyTo($my_replyto,$my_name);

//Usamos el AddAddress para agregar un destinatario
$correo->AddAddress($eemail, $eemail);

//Ponemos el asunto del mensaje
$correo->Subject = $subject;

/*
* Si deseamos enviar un correo con formato HTML utilizaremos MsgHTML:
* $correo->MsgHTML("<strong>Mi Mensaje en HTML</strong>");
* Si deseamos enviarlo en texto plano, haremos lo siguiente:
* $correo->IsHTML(false);
* $correo->Body = "Mi mensaje en Texto Plano";
*/
$correo->MsgHTML($body);

//Enviamos el correo
if(!$correo->Send()) {
$sql=mysqli_query($con,"UPDATE cliente Set
                                   clie_correo ='$eemail'
                                    Where clie_id='$clie_id'") or  die(mysqli_error($con));

$resultado = "Error enviando el correo, por favor intente de nuevo.  Error:". $correo->ErrorInfo;
    echo $resultado;
} else {
    $resultado = "Correo enviado con éxito!!";
    echo $resultado;
}


?>      